Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media
Interface Animator

All Superinterfaces:
  java.lang.Runnable

All Known Implementing Classes:
  DefaultAnimator, SynchronousAnimator

    public interface Animator

extends java.lang.Runnable

Animator executes multiple Interpolator's on a worker thread.

Version:
  3.0 2008-04-28 Turned class into an interface.
  2.0 2007-11-15 Upgraded to Java 1.5.
  1.1 2007-09-09 Added support for
  1.1 2007-08-26 Added support for interpolators which replace interpolators already in the execution queue of the Animator.
  1.0.2 2006-10-02 Use 30 frames per second.
  1.0.1 2006-02-21 Use 24 frames per second.
  1.0 December 22, 2003 Created.
Author:
  Werner Randelshofer

Method Summary
`void` | `addChangeListener(javax.swing.event.ChangeListener listener)`
`void` | `animateStep()`
`void` | `dispatch(Interpolator interpolator)` Dispatches an interpolator for the animation thread.
`boolean` | `isActive()`
`boolean` | `isSynchronous()`
`void` | `removeChangeListener(javax.swing.event.ChangeListener listener)`
`void` | `run()`
`void` | `setLock(java.lang.Object lock)` Set the lock object, on which the animator synchronizes while animating the interpolators.
`void` | `start()`
`void` | `stop()`

Method Detail

### setLock

    void setLock(java.lang.Object lock)

  Set the lock object, on which the animator synchronizes while animating the interpolators.

### isActive

    boolean isActive()

### start

    void start()

### stop

    void stop()

### dispatch

    void dispatch(Interpolator interpolator)

  Dispatches an interpolator for the animation thread. This will launch the animation thread if it is not already active.

### animateStep

    void animateStep()

### run

    void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### addChangeListener

    void addChangeListener(javax.swing.event.ChangeListener listener)

### removeChangeListener

    void removeChangeListener(javax.swing.event.ChangeListener listener)

### isSynchronous

    boolean isSynchronous()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD